Bug 29136 - NetworkManager при соединении к Wi-Fi требует пароль рута
: NetworkManager при соединении к Wi-Fi требует пароль рута
Status: CLOSED FIXED
: Simply Linux
(All bugs in Simply Linux/usability)
: 7.0
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-07-04 13:46 by
Modified: 2014-03-14 14:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-07-04 13:46:54
Свежеустановленная система с LiveDVD5 i586, при первом подсоединении к
домашнему роутеру (WPA2) перед паролем непосредственно роутера зачем-то
потребовал пароль root-а. Зачем?
------- Comment #1 From 2013-07-05 17:58:53 -------
Не root'а, а пользователя (если он входит в группу wheel, насколько я понимаю
логику polkit). Это получение привилегий для сохранения настроек системных
соединений ("доступных для всех пользователей" в терминах NM, это теперь
умолчательный тип вновь создаваемых соединений). Т.е. запрос аутентификации
будет только при изменении настроек. От этого можно избавиться с помощью
правила polkit:
polkit.addRule(function(action, subject) {
    if (action.id == org.freedesktop.NetworkManager.settings.modify.system" &&
subject.isInGroup("wheel")) {
        return polkit.Result.YES;
    };
});

Я скорее всего добавлю это правило в SL.
------- Comment #2 From 2013-07-05 23:31:35 -------
Таким образом, только пользователь из группы wheel может подключиться к
Wi-Fi-сети? На однопользовательской системе это не проблема. А как быть, если
машиной пользуется несколько человек?
------- Comment #3 From 2013-07-08 15:14:03 -------
Нет, пользователь из группы wheel может создать общесистемное соединение.
Пользователь, не входящий в группу wheel, может снять соответствующую галочку
и, как и прежде, создать пользовательское соединение с хранением секретов в
gnome-keyring.
------- Comment #4 From 2013-07-08 17:00:31 -------
(В ответ на комментарий №3)
> Нет, пользователь из группы wheel может создать общесистемное соединение.
> Пользователь, не входящий в группу wheel, может снять соответствующую галочку
> и, как и прежде, создать пользовательское соединение с хранением секретов в
> gnome-keyring.

ЛКМ на НМ - там вижу нужную Wi-Fi-сетку, жмакаю по ней - это и есть создание
общесистемного соединения? В 6-х ветках НМ себя так не вел.
------- Comment #5 From 2013-07-08 20:02:12 -------
(В ответ на комментарий №4)
> ЛКМ на НМ - там вижу нужную Wi-Fi-сетку, жмакаю по ней - это и есть создание
> общесистемного соединения?

По умолчанию - да.

> В 6-х ветках НМ себя так не вел.

Там было другое умолчание.
------- Comment #6 From 2013-07-23 16:48:17 -------
Fixed in Simply Linux 7.0.1.
В уже установленной системе достаточно поставить пакет
branding-simply-linux-system-settings.
------- Comment #7 From 2014-03-14 00:44:27 -------
Столкнулись с этой же проблемой.
Точнее, это поведение изменилось где-то с полгода назад, если правильно помню,
может меньше.

Поставить пакет можно, да. Но как быть с пользователями, которые не в группе
wheel? Зачем, ради wi-fi, который в любой другой системе может подключить любой
пользователь, давать пользователю достаточно "правомочную" группу?

Существуют же группы для video, camera, scanner и т.д.  Нельзя ли сетевую
сделать? А если пользователи вообще централизованно управляются (как, например,
у нас с в Ковчеге), то пользователь автоматом получает wheel вообще везде, куда
он может зайти. Что тоже не самая лучшая идея.

Нельзя беспроводные соединения как-то выделить в правиле и без группы из
разрешать? Linus несколько лет назад совершенно справедливо обругал по полной
программе Ubuntu, которая на каждое движение зачем-то спрашивала пароль
пользователя.  А тут вообще рута пароль нужен :-/